<template>
  <v-container>
    <h1>L'équipe du club</h1>

    <v-row>
      <v-col v-for="team in teams" :key="team.name" cols="12">
        <v-card>
          <v-toolbar color="secondary">
            <v-toolbar-title>{{ team.name }}</v-toolbar-title>
          </v-toolbar>

          <v-card-text>
            <span v-html="team.description" />

            <v-row>
              <v-col
                v-for="member in team.members"
                :key="member.name"
                cols="12"
                md="6"
                xl="3"
              >
                <v-card height="100%" color="accent">
                  <div
                    class="fill-height d-flex flex-no-wrap justify-space-between"
                  >
                    <div>
                      <v-card-title v-text="member.name" />

                      <v-card-subtitle v-text="member.role" />

                      <v-card-text
                        v-if="member.description"
                        v-html="member.description"
                      />
                    </div>

                    <v-avatar
                      v-if="member.img"
                      class="align-self-center ma-2"
                      size="100"
                      tile
                    >
                      <v-img :src="member.img" />
                    </v-avatar>
                  </div>
                </v-card>
              </v-col>
            </v-row>
          </v-card-text>
        </v-card>
      </v-col>
    </v-row>
  </v-container>
</template>

<style scoped>
.v-card__title {
  word-break: unset;
}
</style>

<script>
export default {
  data: () => ({
    teams: [
      {
        name: 'Enseignants',
        description:
          'Au contact direct des élèves, ce sont eux qui animent le club au quotidien',
        members: [
          {
            name: 'Patrick Del Monaco',
            role: "Maître d'armes diplômé d'état",
            img: '/img/people/Patrick Del Monaco.webp',
          },
          {
            name: 'Arthur Del Monaco',
            role: 'Diplômé BJEPS',
            img: '/img/people/Arthur Del Monaco.webp',
          },
        ],
      },
      {
        name: 'Bureau',
        members: [
          {
            name: 'Jean-Michel Bruyat',
            role: 'Président',
            img: '/img/people/Jean-Michel Bruyat.webp',
          },
          {
            name: 'Sandrine Chareyre',
            role: 'Trésorière',
            img: '/img/people/Sandrine Chareyre.webp',
          },
          {
            name: 'Thybaut Espinas',
            role: 'Secrétaire',
            img: '/img/people/THYBAUT.png',
          },
        ],
      },
      {
        name: 'Bénévoles',
        members: [
          {
            name: 'Tristan Lasserre',
            role: 'Chargé de communication',
            img: '/img/people/Tristan Lasserre.webp',
          },
          {
            name: 'Emily Raucy',
            role: "Référente aux commandes de matériels d'escrime",
            img: '/img/people/Photo_Emilie_RAUCY.jpg',
          },
          {
            name: 'Agnès Bruyère',
            role: "Référente aux commandes d'accessoires du club",
            img: '/img/people/AGNES.png',
          },
          {
            name: 'Amandine Soubeyrand',
            role: 'Assistante administrative et sportive',
            img: '/img/people/Amandine_Soubeyrand.jpg',
          },
        ],
      },
    ],
  }),

  head() {
    return {
      title: "L'équipe",
    }
  },
}
</script>
